- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_SHMIOP_Acceptor Class Reference

The SHMIOP-specific bridge class for the concrete acceptor. More...

`#include <SHMIOP_Acceptor.h>`

Inheritance diagram for TAO_SHMIOP_Acceptor:

[legend]
Collaboration diagram for TAO_SHMIOP_Acceptor:

[legend]
List of all members.

## Public Types
typedef ACE_Strategy_Acceptor< TAO_SHMIOP_Connection_Handler, ACE_MEM_ACCEPTOR > | TAO_SHMIOP_BASE_ACCEPTOR
typedef TAO_Creation_Strategy< TAO_SHMIOP_Connection_Handler > | TAO_SHMIOP_CREATION_STRATEGY
typedef TAO_Concurrency_Strategy< TAO_SHMIOP_Connection_Handler > | TAO_SHMIOP_CONCURRENCY_STRATEGY
typedef TAO_Accept_Strategy< TAO_SHMIOP_Connection_Handler, ACE_MEM_ACCEPTOR > | TAO_SHMIOP_ACCEPT_STRATEGY
## Public Member Functions
| TAO_SHMIOP_Acceptor (CORBA::Boolean flag=0)
| Constructor.
| ~TAO_SHMIOP_Acceptor (void)
| Destructor.
int | set_mmap_options (const ACE_TCHAR *prefix, off_t size)
The TAO_Acceptor Methods
Please check the documentation in Transport_Acceptor.h for details.
virtual int | open (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int version_major, int version_minor, const char *port, const char *options=0)
virtual int | open_default (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int version_major, int version_minor, const char *options=0)
virtual int | close (void)
virtual int | create_profile (const TAO::ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
virtual int | is_collocated (const TAO_Endpoint *endpoint)
virtual CORBA::ULong | endpoint_count (void)
virtual int | object_key (IOP::TaggedProfile &profile, TAO::ObjectKey &key)
## Protected Attributes
ACE_CString | host_
ACE_MEM_Addr | address_
| A local endpoint.
TAO_GIOP_Message_Version | version_
| The GIOP version for this endpoint.
TAO_ORB_Core * | orb_core_
| ORB Core.
## Private Member Functions
int | open_i (TAO_ORB_Core *orb_core, ACE_Reactor *reactor)
| Implement the common part of the open*() methods.
virtual int | parse_options (const char *options)
| Parse protocol specific options.
int | create_new_profile (const TAO::ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
| Create a SHMIOP profile representing this acceptor.
int | create_shared_profile (const TAO::ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
| Add the endpoints on this acceptor to a shared profile.
## Private Attributes
TAO_SHMIOP_BASE_ACCEPTOR | base_acceptor_
| The concrete acceptor, as a pointer to it's base class.
TAO_SHMIOP_CREATION_STRATEGY * | creation_strategy_
| Acceptor strategies.
TAO_SHMIOP_CONCURRENCY_STRATEGY * | concurrency_strategy_
TAO_SHMIOP_ACCEPT_STRATEGY * | accept_strategy_
const ACE_TCHAR * | mmap_file_prefix_
| Determine the prefix (include path name) of the mmap file.
off_t | mmap_size_
CORBA::Boolean | lite_flag_
| Should we use GIOP lite??

## Detailed Description

The SHMIOP-specific bridge class for the concrete acceptor.

## Member Typedef Documentation

typedef TAO_Accept_Strategy<TAO_SHMIOP_Connection_Handler, ACE_MEM_ACCEPTOR> TAO_SHMIOP_Acceptor::TAO_SHMIOP_ACCEPT_STRATEGY

typedef ACE_Strategy_Acceptor<TAO_SHMIOP_Connection_Handler, ACE_MEM_ACCEPTOR> TAO_SHMIOP_Acceptor::TAO_SHMIOP_BASE_ACCEPTOR

typedef TAO_Concurrency_Strategy<TAO_SHMIOP_Connection_Handler> TAO_SHMIOP_Acceptor::TAO_SHMIOP_CONCURRENCY_STRATEGY

typedef TAO_Creation_Strategy<TAO_SHMIOP_Connection_Handler> TAO_SHMIOP_Acceptor::TAO_SHMIOP_CREATION_STRATEGY

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_SHMIOP_Acceptor::TAO_SHMIOP_Acceptor | ( | CORBA::Boolean | flag = `0` | ) |

Constructor.

TAO_SHMIOP_Acceptor::~TAO_SHMIOP_Acceptor | ( | void |  | ) |

Destructor.

## Member Function Documentation

int TAO_SHMIOP_Acceptor::close | ( | void |  | ) | `[virtual]`

Implements TAO_Acceptor.

int TAO_SHMIOP_Acceptor::create_new_profile | ( | const TAO::ObjectKey & | object_key,
|  | TAO_MProfile & | mprofile,
|  | CORBA::Short | priority |
| ) |  |  | `[private]`

Create a SHMIOP profile representing this acceptor.

int TAO_SHMIOP_Acceptor::create_profile | ( | const TAO::ObjectKey & | object_key,
|  | TAO_MProfile & | mprofile,
|  | CORBA::Short | priority |
| ) |  |  | `[virtual]`

Implements TAO_Acceptor.

int TAO_SHMIOP_Acceptor::create_shared_profile | ( | const TAO::ObjectKey & | object_key,
|  | TAO_MProfile & | mprofile,
|  | CORBA::Short | priority |
| ) |  |  | `[private]`

Add the endpoints on this acceptor to a shared profile.

CORBA::ULong TAO_SHMIOP_Acceptor::endpoint_count | ( | void |  | ) | `[virtual]`

Implements TAO_Acceptor.

int TAO_SHMIOP_Acceptor::is_collocated | ( | const TAO_Endpoint * | endpoint | ) | `[virtual]`

Implements TAO_Acceptor.

int TAO_SHMIOP_Acceptor::object_key | ( | IOP::TaggedProfile & | profile,
|  | TAO::ObjectKey & | key |
| ) |  |  | `[virtual]`

Implements TAO_Acceptor.

int TAO_SHMIOP_Acceptor::open | ( | TAO_ORB_Core * | orb_core,
|  | ACE_Reactor * | reactor,
|  | int | version_major,
|  | int | version_minor,
|  | const char * | port,
|  | const char * | options = `0` |
| ) |  |  | `[virtual]`

Implements TAO_Acceptor.

int TAO_SHMIOP_Acceptor::open_default | ( | TAO_ORB_Core * | orb_core,
|  | ACE_Reactor * | reactor,
|  | int | version_major,
|  | int | version_minor,
|  | const char * | options = `0` |
| ) |  |  | `[virtual]`

Implements TAO_Acceptor.

int TAO_SHMIOP_Acceptor::open_i | ( | TAO_ORB_Core * | orb_core,
|  | ACE_Reactor * | reactor |
| ) |  |  | `[private]`

Implement the common part of the open*() methods.

int TAO_SHMIOP_Acceptor::parse_options | ( | const char * | options | ) | `[private, virtual]`

Parse protocol specific options.

int TAO_SHMIOP_Acceptor::set_mmap_options | ( | const ACE_TCHAR * | prefix,
|  | off_t | size |
| ) |  |  |

Set the MMAP options the MEM_Stream this acceptor creates will use.

## Member Data Documentation

TAO_SHMIOP_ACCEPT_STRATEGY* TAO_SHMIOP_Acceptor::accept_strategy_`[private]`

ACE_MEM_Addr TAO_SHMIOP_Acceptor::address_`[protected]`

A local endpoint.

TAO_SHMIOP_BASE_ACCEPTOR TAO_SHMIOP_Acceptor::base_acceptor_`[private]`

The concrete acceptor, as a pointer to it's base class.

TAO_SHMIOP_CONCURRENCY_STRATEGY* TAO_SHMIOP_Acceptor::concurrency_strategy_`[private]`

TAO_SHMIOP_CREATION_STRATEGY* TAO_SHMIOP_Acceptor::creation_strategy_`[private]`

Acceptor strategies.

ACE_CString TAO_SHMIOP_Acceptor::host_`[protected]`

Cache the information about the endpoint serviced by this acceptor.

Todo:
  There may in fact be multiple hostnames for this endpoint. For example it the IP address is INADDR_ANY (0.0.0.0) then there will be possibly a different hostname for each interface.

CORBA::Boolean TAO_SHMIOP_Acceptor::lite_flag_`[private]`

Should we use GIOP lite??

const ACE_TCHAR* TAO_SHMIOP_Acceptor::mmap_file_prefix_`[private]`

Determine the prefix (include path name) of the mmap file.

off_t TAO_SHMIOP_Acceptor::mmap_size_`[private]`

Determine the minimum size of mmap file. This dictate the maximum size of a CORBA method invocation.

TAO_ORB_Core* TAO_SHMIOP_Acceptor::orb_core_`[protected]`

ORB Core.

TAO_GIOP_Message_Version TAO_SHMIOP_Acceptor::version_`[protected]`

The GIOP version for this endpoint.

The documentation for this class was generated from the following files:

- SHMIOP_Acceptor.h
- SHMIOP_Acceptor.cpp